YPCAT(1)

NAME
ypcat - print values in a network information service (NIS) data base

SYNOPSIS
ypcat [ -k ] [ -t ] [ -d domainname ] mname
ypcat -x

DESCRIPTION
ypcat prints out values in a network information service (NIS) map specified by mname, which may be either a mapname or a map nickname. Since ypcat uses the NIS network services, no NIS server is specified.

To look at the network-wide password database, passwd.byname, (with the nickname passwd). type in:

    ypcat passwd

Refer to ypfiles(5) and ypserv(8) for an overview of the network information service.

OPTIONS

-k  Display the keys for those maps in which the values are null or the key is not part of the value. (None of the maps derived from files that have an ASCII version in /etc fall into this class.)

-t  Inhibit translation of mname to mapname. For example, ypcat -t passwd will fail because there is no map named passwd, whereas ypcat passwd will be translated to ypcat passwd.byname.

-d  Specify a domain other that the default domain. The default domain is returned by domainname.

-x  Display the map nickname table. This lists the nicknames (mnames) the command knows of, and indicates the mapname associated with each nickname.

SEE ALSO
ypfiles(5), ypserv(8), ypmatch(1), domainname(8)